Subject: bug#39416: closed (Re: [bug#39416] Bulk import of R packages)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 22 Feb 2020 19:50:02 +0000

Your bug report

#39416: Bulk import of R packages

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
39416: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=39416
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#39416] Bulk import of R packages
From: Ricardo Wurmus <[email-masked]>
To: Lars-Dominik Braun <[email-masked]>
Cc: [email-masked]
Date: Sat, 22 Feb 2020 20:49:18 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Lars,

>> Could you please also do the following:
>>
>> * modify the description to contain only complete sentences
>> * adjust the letter case in the synopsis (CRAN uppercases all initials)
>> * adjust the indentation with etc/indent-code.el
>> * use @dfn{Some Long Term} (SLT) in descriptions where necessary
>> * wrap URLs in the description in Texinfo syntax (especially all the
>>   <doi:...> things.
> done, I hope I did not miss anything.

Thank you for the updated patches. I’ve just pushed variants of these
patches.

There were still quite a few things to change, which is why this took me
so long.  One of the problems was that the descriptions often included
incomplete sentence fragments.

--
Ricardo

Subject: Bulk import of R packages
From: Lars-Dominik Braun <[email-masked]>
To: [email-masked]
Date: Tue, 4 Feb 2020 14:54:51 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

this patch series adds 34 packages from CRAN imported using `guix import cran
-r`. Most of them are unmodified, but a few needed manual tweaks (missing
dependencies, wrong home-page URL, missing license).

Lars